# counter-increment

Specifies a name of a counter and how much to increment the counter by.

## Platform Support

IE | Netscape | Mozilla | Opera | Safari
--- | --- | --- | --- | ---
no | no | no | 7.0+ | no

## Usage

[counter-name] [increment]. Example values: countby2 2, chapter, countbackwards -1, etc.

## Values

* | Specify a value for counter-increment that is not on this list.
inherit | Inherit the value from the parent element.
none | No counter increment.
decimal | Increment a decimal. (e.g. 1, 2, 3, etc.
decimal-leading-zero | Increment a decimal with a leading zero. (e.g. 01, 02, 03, etc.)
lower-roman | Increment lower-case roman numerals. (e.g. i, ii, iii, etc.
upper-roman | Increment upper-case roman numerals. (e.g. I, II, III.)
lower-latin | Increment lower-case latin alphabet. (e.g. a, b, c, etc.)
upper-latin | Increment upper-case latin alphabet. (e.g. A, B, C, etc.)
lower-greek | Increment lower-case greek alphabet.

## Example

To specify a level-1 section heading with an incremented Roman numeral before each heading, use the following syntax: `H1:before {counter(section, upper-roman); counter-increment: section;}`.

## Remarks

Use the `counter-increment` property for styles such as numbered headings.

## Availability

W3C CSS2

## Related

- a
- a:active
- a:focus
- a:hover
- a:link
- a:visited
- b
- blockquote
- body
- code
- div
- em
- fieldset
- form
- h1
- h2
- h3
- h4
- h5
- h6
- hr
- i
- input
- label
- legend
- li
- ol
- optgroup
- option
- p
- pre
- small
- span
- strong
- table
- td
- textarea
- th
- tr
- ul

text_css aptana_docs